searchData={"items":[{"type":"module","title":"ComboNew","doc":"An opinionated project generator for Phoenix.","ref":"ComboNew.html"},{"type":"function","title":"ComboNew.generate/3","doc":"Generates a project.","ref":"ComboNew.html#generate/3"},{"type":"function","title":"ComboNew.run/3","doc":"Runs a generator with Mix task.","ref":"ComboNew.html#run/3"},{"type":"task","title":"mix combo_new.lite","doc":"Creates a Phoenix project in Lite type.","ref":"Mix.Tasks.ComboNew.Lite.html"},{"type":"task","title":"Usage - mix combo_new.lite","doc":"It expects the path of the project as an argument.\n\n    $ mix combo_new.lite PATH [--app APP] [--module MODULE]\n\nA project at the given PATH will be created. The application name and module\nname will be retrieved from the `PATH`, unless `--app` or `--module` is given.","ref":"Mix.Tasks.ComboNew.Lite.html#module-usage"},{"type":"task","title":"Options - mix combo_new.lite","doc":"* `--app` - the name of the OTP application.\n\n  * `--module` - the name of the base module in the generated skeleton.\n\n  * `-v`, `--version` - prints the version.","ref":"Mix.Tasks.ComboNew.Lite.html#module-options"},{"type":"task","title":"mix combo_new.saas","doc":"Creates a Phoenix project in SaaS type.","ref":"Mix.Tasks.ComboNew.Saas.html"},{"type":"task","title":"Usage - mix combo_new.saas","doc":"It expects the path of the project as an argument.\n\n    $ mix combo_new.saas PATH [--app APP] [--module MODULE]\n\nA project at the given PATH will be created. The application name and module\nname will be retrieved from the `PATH`, unless `--app` or `--module` is given.","ref":"Mix.Tasks.ComboNew.Saas.html#module-usage"},{"type":"task","title":"Options - mix combo_new.saas","doc":"* `--app` - the name of the OTP application.\n\n  * `--module` - the name of the base module in the generated skeleton.\n\n  * `-v`, `--version` - prints the version.","ref":"Mix.Tasks.ComboNew.Saas.html#module-options"},{"type":"task","title":"mix local.combo_new","doc":"Updates needle_new locally.\n\n    $ mix local.combo_new\n\nIt accepts the same command line options as `archive.install hex combo_new`.","ref":"Mix.Tasks.Local.ComboNew.html"},{"type":"extras","title":"combo_new","doc":"# combo_new\n\nAn opinionated project generator for Phoenix.\n\n> It's a part of `combo`, which is an opinionated code generator for Phoenix.","ref":"readme.html"},{"type":"extras","title":"Usage - combo_new","doc":"Install the archive of `combo_new`:\n\n```\n$ mix archive.install hex combo_new\n```\n\nCreate a new Phoenix project:\n\n```\n# create a project from combo_lite template\n$ mix combo.new.lite demo\n\n# create a project from combo_saas template\n$ mix needle.new.saas demo\n```\n\nSee `mix help` for more details.","ref":"readme.html#usage"},{"type":"extras","title":"Features - combo_new","doc":"- asset pipeline powered by [esbuild](https://esbuild.github.io/) and Node.js ecosystem\n- reduced number of processes running in dev environment, which is derived from [axelson's repo](https://github.com/axelson/hello_phoenix/pull/1)\n- liveness probe, which is common in container environments.\n- ...","ref":"readme.html#features"},{"type":"extras","title":"Sync Status - combo_new","doc":"`combo_new` will continuously track changes in Phoenix and merge them in.\n\nCurrently, this repo is synchronized to the commit `dec89f24169d897442fe82a819e0ba312f96c014`(2024/01/03) of [phoenixframework/phoenix](https://github.com/phoenixframework/phoenix).","ref":"readme.html#sync-status"},{"type":"extras","title":"Why? - combo_new","doc":"Previously, I made many attempts at codemod on Phoenix generated files:\n\n- [c4710n/phx_custom](https://github.com/c4710n/phx_custom)\n- [c4710n/phoenix_custom_assets](https://github.com/c4710n/phoenix_custom_assets)\n\nBut they all require some additional steps after executing `mix phx.new`. There were so many additional steps that I had to do them while referring to a checklist.\n\nI wanted to reduce this mental burden from the root, so I made this project generator.\n\nThe project generator includes some templates tailored to my own needs. Since these templates are specially tailored, the project generator doesn't need that many options to meet different people's requirements.\n\nAdditionally, all the templates are directly executable projects, which makes development and debugging very simple.","ref":"readme.html#why"},{"type":"extras","title":"License - combo_new","doc":"Apache License 2.0","ref":"readme.html#license"}],"content_type":"text/markdown"}